@import url("https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@300..700&display=swap");

* {
    margin: 0;
    padding: 0;
    font-family: "Space Grotesk", sans-serif;
    box-sizing: border-box;
    transition: 0.3s;
    user-select: none;
}
::-webkit-scrollbar {
    display: none;
}
:root {
    --black: black;
    --dark: #171717;
    --white: white;
    --yellow: #e3fc8f;
    --green: #b7ec30;
}

.header {
    width: 100%;
    height: 105px;
    padding: 20px 40px;
    background: var(--white);
    position: sticky;
    top: 0;
    z-index: 100;
    border-bottom: 1px solid rgb(206, 206, 206);
    .navbar {
        position: sticky;
        top: 0;
        left: 0;
        display: flex;
        align-items: center;
        .vecs {
            position: relative;
            display: flex;
            align-items: start;
            svg.print {
                width: 4rem;
            }
            svg.brand {
                margin-top: 6px;
                margin-left: 12px;
                max-width: 140px;
            }
            p {
                position: absolute;
                right: 0;
                bottom: 8px;
                font-size: 0.75rem;
                line-height: 1rem;
            }
        }
        .links {
            display: flex;
            width: 100%;
            justify-content: center;
            ul {
                display: flex;
                justify-content: center;
                gap: 1.5rem;
                li {
                    display: flex;
                    a {
                        position: relative;
                        text-decoration: none;
                        color: var(--black);
                        text-wrap: nowrap;
                        font-weight: 500;
                        display: inline-block;

                        &:hover,
                        &.active {
                            &::before {
                                width: 50%;
                            }
                        }

                        &::before {
                            content: "";
                            position: absolute;
                            height: 2px;
                            top: 100%;
                            left: 50%;
                            transform: translateX(-50%);
                            background-color: var(--black);
                            border-radius: 10px;
                            width: 0%;
                            transition: width 0.3s ease-out;
                        }
                    }
                }
            }
        }
        .langs {
            .lang-sys {
                position: relative;
                display: flex;
                position: relative;
                button {
                    text-wrap: nowrap;
                    padding: 8px 16px;
                    border: 1px solid rgb(206, 206, 206);
                    border-radius: 5px;
                    cursor: pointer;
                    background: transparent;
                    div {
                        display: none;
                    }
                    span {
                        display: flex;
                        align-items: center;
                        justify-content: center;
                    }
                }
            }
            .lang-container {
                background: var(--white);
                border: 1px solid rgb(206, 206, 206);
                border-radius: 5px;
                padding: 8px 16px;
                right: 0;
                display: none;
                width: 150px;
                position: absolute;
                top: 55px;
                flex-direction: column;
                gap: 10px;
                a {
                    text-decoration: none;
                    color: rgb(85, 85, 85);
                    font-size: 0.875rem;
                }
            }
            .lang-container.active {
                display: flex;
            }
            .menu {
                display: none;
                cursor: pointer;
                .menu-container {
                    overflow: hidden;
                    position: fixed;
                    top: -200%;
                    left: 0;
                    width: 100%;
                    height: 100dvh;
                    background: var(--dark);
                    transition: 0.7s;
                    a {
                        position: relative;
                        display: flex;
                        align-items: center;
                        justify-content: space-between;
                        text-decoration: none;
                        h1 {
                            padding: 10px;
                            color: #474747;
                            font-size: 3.75rem;
                        }
                        span {
                            position: absolute;
                            right: 0%;
                            transform: translateX(100%);
                            font-size: 2.8rem;
                            opacity: 0;
                        }
                        span.active {
                            opacity: 1;
                            transform: translateX(0%);
                        }
                    }
                    li.active {
                        border-bottom: 3px solid var(--white) !important;
                        h1 {
                            color: var(--white);
                        }
                    }
                    .menu-links {
                        margin-top: -30px;
                        ul {
                            li {
                                border-bottom: 3px solid #474747;
                            }
                        }
                    }
                    li {
                        display: block;
                        margin: 0px 20px;
                        opacity: 0;
                        &:hover {
                            border-bottom: 3px solid var(--white) !important;
                            h1 {
                                transform: translateX(0px);
                                transition: 0.6s
                                    cubic-bezier(0.52, 0.24, 0.23, 1.56) !important;
                                color: var(--white);
                                &.active {
                                    transform: translateX(20px);
                                }
                            }
                        }
                    }
                    li.animateOn {
                        animation: arival 0.5s forwards;
                    }
                    li.animateOff {
                        opacity: 1;
                        animation: depart 0.5s forwards;
                    }
                    li:nth-child(1) {
                        animation-delay: 0.2s;
                    }
                    li:nth-child(2) {
                        animation-delay: 0.4s;
                    }
                    li:nth-child(3) {
                        animation-delay: 0.6s;
                    }
                    li:nth-child(4) {
                        animation-delay: 0.8s;
                    }
                    li:nth-child(5) {
                        animation-delay: 1s;
                    }
                    li:nth-child(6) {
                        animation-delay: 1.2s;
                    }

                    .close {
                        width: 100%;
                        display: flex;
                        align-items: end;
                        justify-content: end;
                        padding: 20px;
                    }
                    span {
                        color: white;
                        font-size: 30px;
                    }
                }
            }
            .menu-container.active {
                top: 0px;
                span.closeBtn {
                    animation: closeBtnRotate 1s forwards;
                    animation-delay: 0.5s;
                }
            }
        }
    }
}

.container {
    display: flex;
    width: 100%;
    flex-direction: column;
    overflow: hidden;
}

.hero {
    display: flex;
    width: 100%;
    margin-top: -15px;
    gap: 40px;
    padding: 40px;

    .content {
        display: flex;
        flex-direction: column;
        gap: 20px;
        width: 50%;
        .cta {
            width: fit-content;
            margin-left: 25px;
            background: var(--yellow);
            border-radius: 100px;
            font-size: 13px;
            font-weight: 500;
            padding: 4px;
            padding-right: 10px;
            button {
                font-size: 14px;
                font-weight: 500;
                background: var(--green);
                padding: 7px 20px;
                border: 1px solid var(--black);
                border-radius: 100px;
            }
        }
        .heading {
            h1 {
                font-family: Arial, Helvetica, sans-serif;
                font-size: 48px;
                margin-right: 10px;
            }
        }
        .tags {
            display: flex;
            width: 100%;
            justify-content: center;
            align-items: center;
            gap: 10px;

            .tag {
                border-radius: 16px;
                width: 33.33%;
                height: 56px;
                background: var(--black);
                color: var(--white);
                padding: 15px;
                gap: 10px;
                display: flex;
                align-items: center;
                span {
                    text-wrap: nowrap;
                }
                span:first-child {
                    background: var(--yellow);
                    color: var(--black);
                    padding: 6px;
                    border-radius: 100px;
                }
            }
        }
        .text {
            width: 80%;
            p {
                line-height: 27px;
                margin-bottom: 10px;
            }
            .rating {
                display: flex;
                align-items: center;
                .pictures {
                    img {
                        width: 45px;
                        border-radius: 100px;
                        margin-right: -15px;
                        border: 2px solid var(--white);
                    }
                }
                .stars {
                    margin-left: 40px;
                    span {
                        font-size: 28px;
                        color: rgb(255, 208, 0);
                    }
                }
            }
        }
    }

    .vectors {
        width: 50%;
        padding: 10px;
        .vector {
            transition: 0.6s;
            display: none;
            opacity: 0;
            svg {
                width: 100%;
                height: 100%;
            }
        }
        .vector.fade-on {
            display: block;
            animation: fadeOn 5s forwards;
        }
    }
}

.cta2 {
    display: flex;
    align-items: center;
    justify-content: center;
    .tag {
        display: flex;
        align-items: center;
        width: 350px;
        height: 56px;
        background: var(--black);
        padding: 15px;
        border-radius: 15px;
        gap: 10px;
        color: var(--white);
        span {
            font-weight: bold;
        }
        span:first-child {
            font-weight: normal;
            background: var(--yellow);
            color: var(--black);
            padding: 6px;
            border-radius: 100px;
        }
    }
}

.agent-call {
    margin-top: 40px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    form {
        width: 816px;
        input {
            margin: 8px 0px;
            padding: 16px 16px;
            width: 100%;
            border: 1px solid var(--black);
            border-radius: 6px;
            font-size: 15px;
        }
        button {
            margin: 6px 0px;
            padding: 12px 24px;
            font-weight: bold;
            color: var(--white);
            background: var(--black);
            border-radius: 100px;
            outline: none;
            border: none;
            &:hover {
                scale: 1.03;
            }
        }
    }
}

.tech-stack {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.ais {
    margin: 50px 0px;
    width: 100%;
    text-align: center;
    overflow: hidden;

    .swiper-wrapper {
        display: flex;
        align-items: center;

        .swiper-slide {
            width: 200px;
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            padding: 10px 20px;
            font-size: 24px;
            white-space: nowrap;
        }
    }
}

.benefits {
    width: 100%;
    background: var(--black);
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 40px;
    padding: 30px;
    h2 {
        display: flex;
        width: fit-content;
        background: var(--green);
        padding: 8px 20px;
        border-radius: 100px;
    }
    .tags {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-wrap: wrap;
        gap: 50px;
        .tag {
            border: 2px solid var(--white);
            width: 100%;
            max-width: 320px;
            position: relative;
            padding: 10px;
            color: white;
            font-weight: bold;
            display: flex;
            justify-content: center;
            align-items: center;
            text-align: center;
            overflow: hidden;
            font-size: 1.5rem;
            z-index: 0;
            border-radius: 20px;

            &::before {
                content: "";
                position: absolute;
                border-radius: 100px;
                right: 0%;
                width: 30%;
                height: 100px;
                z-index: -1;
                top: 00%;
                transform: translate(50%, 0%);
                background: var(--green);
                transition: 0.3s all;
            }

            &::after {
                content: "";
                position: absolute;
                border-radius: 100px;
                left: 0%;
                top: 100%;
                width: 30%;
                height: 100px;
                z-index: -1;
                background: var(--green);
                transition: 0.3s all;
            }

            &:hover {
                color: var(--black);
                &::before {
                    width: 120%;
                    height: 1000px;
                }
                &::after {
                    top: -20%;
                    left: -20%;
                    width: 1000%;
                    height: 1000%;
                }
            }
        }
    }
}

.tool-tech {
    padding: 40px 0px;
    display: flex;
    flex-direction: column;
    gap: 30px;
    h1 {
        text-align: center;
        font-size: clamp(2.5rem, 4vw, 4rem);
    }
    h3 {
        text-align: center;
        font-weight: 400;
        color: grey;
    }
    .tags {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-wrap: wrap;
        margin: 0px 10px;
        gap: 50px;
        .tag {
            border: 1px solid var(--black);
            width: 100%;
            max-width: 320px;
            position: relative;
            height: 140px;
            padding: 10px;
            color: var(--black);
            font-weight: 500;
            display: flex;
            justify-content: center;
            align-items: center;
            text-align: center;
            overflow: hidden;
            font-size: 1.1rem;
            z-index: 0;
            border-radius: 20px;
        }
    }
}

.story-heading {
    h1 {
        text-align: center;
    }
    h1:nth-child(1) {
        font-size: 3.75rem;
        color: rgb(53, 53, 53);
    }
}

.real-stories {
    margin: 0px 40px;
    overflow-x: scroll;

    .stories {
        display: flex;
        width: fit-content;
        gap: 50px;
        margin: 20px 0px;
    }
    .story {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        width: 300px;
        .picture {
            img {
                width: 80px;
                border-radius: 100px;
            }
        }
        p {
            font-size: 14px;
        }
        b {
            margin-top: 10px;
        }
        .stars {
            span {
                fill: rgb(255, 208, 0);
                color: rgb(255, 208, 0);
                font-weight: 900;
            }
        }
        button {
            display: flex;
            align-items: center;
            justify-content: center;
            background: var(--black);
            color: var(--white);
            padding: 8px 16px;
            outline: none;
            border: none;
            border-radius: 100px;
            cursor: pointer;
            &:hover{
                opacity: 0.8;
            }
        }
    }
}

.how-it-works {
    background: var(--black);
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-evenly;
    width: 100%;
    height: 80dvh;
    h1 {
        text-align: center;
        color: var(--white);
    }
    .workings {
        width: 100%;
        max-width: 900px;
        display: flex;
        flex-direction: column;
        gap: 1.5rem;
        .working {
            margin: 0px 20px;
            background: rgb(43, 43, 43);
            padding: 20px 24px;
            border-radius: 10px;
            color: var(--white);
            font-size: 1.125rem;
            span {
                margin-right: 10px;
                font-weight: bold;
                color: var(--green);
            }
        }
    }
}

.footer {
    height: 160px;
    width: 100%;
    background: var(--white);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    p,
    a , span{
        font-weight: lighter;
        font-size: 0.875rem;
        line-height: 25px;
        color: var(--black);
    }
}
